Bug 963975 - Calling Connection.stop will interrupt delivery on Browsers - clone of https://issues.jboss.org/browse/HORNETQ-1195
Calling Connection.stop will interrupt delivery on Browsers - clone of https:...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: EAP 6.1.1
Assigned To: Clebert Suconic
Depends On:
  Show dependency treegraph
Reported: 2013-05-16 18:46 EDT by Clebert Suconic
Modified: 2013-09-16 16:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-16 16:21:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clebert Suconic 2013-05-16 18:46:43 EDT
Description of problem:

Calling Connection.stop will interrupt delivery on Browsers

Version-Release number of selected component (if applicable):

2.3.1, to be fixed on 2.3.2 

How reproducible:

Steps to Reproduce:
1. create a browser
2. call connection.stop()
3. try to get a message on the browser
Actual results:
No message is returned

Expected results:
Messages should be returned independently of the connection status

Additional info:
Comment 2 Miroslav Novak 2013-08-22 04:56:55 EDT
BZ is in incorrect state. Fix for this issue is present in EAP 6.1.1.ER7(HQ 2.3.5.Final) 

Verified using provided test in EAP 6.1.1.ER7. Great work, Clebert!

Note You need to log in before you can comment on or make changes to this bug.